package domain


type AlibabaAelophyOrderDesensitizephoneGetOrderDesensitizePhoneResult struct {
    /*
        商家编码     */
    MerchantCode  *string `json:"merchant_code,omitempty" `

    /*
        业务单号     */
    BizOrderId  *string `json:"biz_order_id,omitempty" `

    /*
        经营店编码     */
    StoreCode  *string `json:"store_code,omitempty" `

    /*
        脱敏的手机号     */
    ReceiverPrivacyPhone  *string `json:"receiver_privacy_phone,omitempty" `

    /*
        虚拟号     */
    VirtualNumber  *string `json:"virtual_number,omitempty" `

    /*
        买家虚拟号（仅鲜花行业订单有值）     */
    BuyerVirtualNumber  *string `json:"buyer_virtual_number,omitempty" `

    /*
        预计过期时间     */
    ExpirationTime  *int64 `json:"expiration_time,omitempty" `

}

func (s *AlibabaAelophyOrderDesensitizephoneGetOrderDesensitizePhoneResult) SetMerchantCode(v string) *AlibabaAelophyOrderDesensitizephoneGetOrderDesensitizePhoneResult {
    s.MerchantCode = &v
    return s
}
func (s *AlibabaAelophyOrderDesensitizephoneGetOrderDesensitizePhoneResult) SetBizOrderId(v string) *AlibabaAelophyOrderDesensitizephoneGetOrderDesensitizePhoneResult {
    s.BizOrderId = &v
    return s
}
func (s *AlibabaAelophyOrderDesensitizephoneGetOrderDesensitizePhoneResult) SetStoreCode(v string) *AlibabaAelophyOrderDesensitizephoneGetOrderDesensitizePhoneResult {
    s.StoreCode = &v
    return s
}
func (s *AlibabaAelophyOrderDesensitizephoneGetOrderDesensitizePhoneResult) SetReceiverPrivacyPhone(v string) *AlibabaAelophyOrderDesensitizephoneGetOrderDesensitizePhoneResult {
    s.ReceiverPrivacyPhone = &v
    return s
}
func (s *AlibabaAelophyOrderDesensitizephoneGetOrderDesensitizePhoneResult) SetVirtualNumber(v string) *AlibabaAelophyOrderDesensitizephoneGetOrderDesensitizePhoneResult {
    s.VirtualNumber = &v
    return s
}
func (s *AlibabaAelophyOrderDesensitizephoneGetOrderDesensitizePhoneResult) SetBuyerVirtualNumber(v string) *AlibabaAelophyOrderDesensitizephoneGetOrderDesensitizePhoneResult {
    s.BuyerVirtualNumber = &v
    return s
}
func (s *AlibabaAelophyOrderDesensitizephoneGetOrderDesensitizePhoneResult) SetExpirationTime(v int64) *AlibabaAelophyOrderDesensitizephoneGetOrderDesensitizePhoneResult {
    s.ExpirationTime = &v
    return s
}
